-- The sum of the primes below 10 is 2 + 3 + 5 + 7 = 17.
--
-- Find the sum of all the primes below two million.

module P010 (p010) where

import ProjectEuler (primeSieve)

p010 :: IO ()
p010 = do
  let result = sum $ takeWhile (< 2000000) primeSieve :: Int
  putStrLn $
    "Project Euler, Problem 10\n"
      ++ "Answer: "
      ++ show result
